Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.spi.subscriberdata.sla
Class ReferenceGroupType

    java.lang.Object
      com.bea.wlcp.wlng.spi.subscriberdata.sla.ReferenceGroupType

public class ReferenceGroupType
extends Object

Java class for referenceGroupType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="referenceGroupType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApplicationGroupReference" type="{http://www.bea.com/wlcp/wlng/spi/subscriberdata/sla}serviceGroupType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="ServiceProviderGroupReference" type="{http://www.bea.com/wlcp/wlng/spi/subscriberdata/sla}serviceGroupType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="ServiceReference" type="{http://www.bea.com/wlcp/wlng/spi/subscriberdata/sla}serviceReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`protected List` | `applicationGroupReference`
`protected List` | `serviceProviderGroupReference`
`protected List` | `serviceReference`

Method Summary
`List` | `getApplicationGroupReference()`
`List` | `getServiceProviderGroupReference()`
`List` | `getServiceReference()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### applicationGroupReference

    protected List applicationGroupReference

### serviceProviderGroupReference

    protected List serviceProviderGroupReference

### serviceReference

    protected List serviceReference

Method Detail

### getApplicationGroupReference

    public List getApplicationGroupReference()

### getServiceProviderGroupReference

    public List getServiceProviderGroupReference()

### getServiceReference

    public List getServiceReference()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD